allmodels.ioDocs
API ReferenceElevenLabs SDK

List voices (SDK search)

Lists voices with ElevenLabs `voices.search()`. Use `page_size` to limit the result. All matching voices are returned in one page.

GET/el/v2/voices

Lists voices with ElevenLabs voices.search(). Use page_size to limit the result. All matching voices are returned in one page.

Authorization

xi-api-key<token>

Tenant key (ElevenLabs SDK convention).

In: header

Query Parameters

provider_only?string

Return voices from one TTS provider. Defaults to elevenlabs.

Value in

  • "deepgram"
  • "elevenlabs"
  • "soniox"
  • "fish"
  • "groq"
  • "grok"
  • "minimax"
  • "cartesia"
  • "together"
  • "openai"
  • "gemini"
  • "fal"
  • "cloudflare"
page_size?integer

Maximum voices to return. Malformed values are ignored (full page served).

Range1 <= value

Response Body

application/json

application/json

application/json

Client
Language
const response = await fetch("https://api.allmodels.io/el/v2/voices?page_size=100", {  headers: { Authorization: `Bearer ${process.env.ALLMODELS_API_KEY}` }});if (!response.ok) throw new Error(`AllModels request failed: ${response.status}`);console.log(await response.json());
{  "voices": [    {      "voice_id": "EXAVITQu4vr4xnSDxMaL",      "name": "Sarah",      "labels": {        "gender": "female"      },      "category": "premade",      "available_for_tiers": [],      "high_quality_base_model_ids": []    }  ],  "has_more": false,  "next_page_token": null,  "total_count": 1}
{  "detail": {    "message": "unknown or non-TTS provider 'assemblyai'",    "status": "invalid_provider",    "provider": "assemblyai",    "supported": [      "deepgram",      "elevenlabs",      "openai"    ]  }}

{  "error": "missing_api_key"}